Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1396 (closed defect: fixed)

Opened 12 years ago

Last modified 12 years ago

_ath_hal_attach leaks ath_hal struct on fail path

Reported by: jirislaby@gmail.com Assigned to: mickflemm
Priority: minor Milestone: version 0.9.5
Component: madwifi-old-openhal Version: madwifi-old-openhal branch
Keywords: Cc:
Patch is attached: 0 Pending:

Description

If AH_MOD_INC_USE_COUNT fails, it directly returns from the function with NULL as return value in 2.6:

if (ah)
     AH_MOD_INC_USE_COUNT(THIS_MODULE);

there should be kfree somewhere. I'm attaching a little bit ugly patch, but apply something in its meaning.

Attachments

bubak (0.7 kB) - added by jirislaby@gmail.com on 06/17/07 10:43:37.

Change History

06/17/07 10:43:37 changed by jirislaby@gmail.com

  • attachment bubak added.

06/18/07 09:18:11 changed by dyqith

I updated the AH_MOD_INC_USE_COUNT just like the way net80211/ieee80211_linux.h does. May not be the best way, but it works for the trunk version.

I won't update the branches (don't want to mess things up).

Can someone take a look at the branches and update those? thanks.

06/18/07 17:00:19 changed by mentor

I believe r2481 fixes this problem

06/18/07 18:50:31 changed by dyqith

r2481 fixes trunk, but the branches still need to be fixed... Can you update the branches too mentor?

06/20/07 19:52:29 changed by mentor

  • status changed from new to closed.
  • resolution set to fixed.

Done the other branches too.

06/27/07 12:05:55 changed by mrenzmann

  • milestone set to version 0.9.4.

02/11/08 06:20:03 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.